Subject: bug#12082: 24.1.50; Wrong character showed by "C-h c"

From: Dani Moncayo <[email-masked]>
Date: Sun, 29 Jul 2012 23:44:18 +0200

>> With the current Emacs trunk, and from "emacs -Q", if I type "C-h c
>> M-ç", I get the message "M-‡ is undefined" in the echo area.
>>
>> The correct message would be "M-ç is undefined", which is what I get
>> if I repeat the experiment with the Emacs 24.1 release.
>
> This subtlety is the result of (not entirely correct) fix for
> non-ASCII display on TTY.  Should be fixed now (trunk version 109272).

I've update my trunk branch (I have bzr revno 109274) and rebuilt Emacs.

Now I observe these messages from "Emacs -Q":
* C-h c M-ç => "M-‡ is undefined". (wrong, as before)
* C-h c ESC ç => "M-g (translated from <escape> ç) is undefined".
(wrong, should be "M-ç ...")

And from "Emacs -Q -nw":
* C-h c M-ç => "M-ç is undefined" (correct).
* C-h c ESC ç => "M-g (translated from <escape> ç) is undefined"
(wrong, as in the GUI session).

Juanma, could you please test this, and tell if you see the same?

Thanks.

-- 
Dani Moncayo